Documentation
API Reference
Comprehensive documentation for the SocialIntelligence. Access user profiles, posts, followers, and more with our RESTful API.
Quick Start
Get Started in Minutes
Follow these simple steps to start using the SocialIntelligence.
Endpoints
API Endpoints
All endpoints are accessed via HTTPS and return JSON responses.
Authentication
Secure API Access
All API requests require authentication using your API key. Include your key in the Authorization header of each request.
Bearer Token Authentication
Pass your API key in the Authorization header
HTTPS Only
All requests must be made over HTTPS
Rate Limiting
Requests are rate-limited based on your plan
Authentication Header
Header Format
Authorization: Bearer YOUR_API_KEY
Example Request
curl "https://api.xdata.com/v1/user/elonmusk" -H "Authorization: Bearer xda_live_abc123xyz"
SDKs & Examples
Code Examples
Quick start with your favorite programming language.
// Using fetch
const response = await fetch('https://api.xdata.com/v1/user/elonmusk', {
headers: {
'Authorization': 'Bearer YOUR_API_KEY'
}
});
const data = await response.json();
console.log(data);